apiVersion: admissionregistration.k8s.io/v1alpha1
kind: ValidatingAdmissionPolicyBinding
metadata:
  annotations:
    annotationsKey: annotationsValue
  creationTimestamp: "2008-01-01T01:01:01Z"
  deletionGracePeriodSeconds: 10
  deletionTimestamp: "2009-01-01T01:01:01Z"
  finalizers:
  - finalizersValue
  generateName: generateNameValue
  generation: 7
  labels:
    labelsKey: labelsValue
  managedFields:
  - apiVersion: apiVersionValue
    fieldsType: fieldsTypeValue
    fieldsV1: {}
    manager: managerValue
    operation: operationValue
    subresource: subresourceValue
    time: "2004-01-01T01:01:01Z"
  name: nameValue
  namespace: namespaceValue
  ownerReferences:
  - apiVersion: apiVersionValue
    blockOwnerDeletion: true
    controller: true
    kind: kindValue
    name: nameValue
    uid: uidValue
  resourceVersion: resourceVersionValue
  selfLink: selfLinkValue
  uid: uidValue
spec:
  matchResources:
    excludeResourceRules:
    - apiGroups:
      - apiGroupsValue
      apiVersions:
      - apiVersionsValue
      operations:
      - operationsValue
      resourceNames:
      - resourceNamesValue
      resources:
      - resourcesValue
      scope: scopeValue
    matchPolicy: matchPolicyValue
    namespaceSelector:
      matchExpressions:
      - key: keyValue
        operator: operatorValue
        values:
        - valuesValue
      matchLabels:
        matchLabelsKey: matchLabelsValue
    objectSelector:
      matchExpressions:
      - key: keyValue
        operator: operatorValue
        values:
        - valuesValue
      matchLabels:
        matchLabelsKey: matchLabelsValue
    resourceRules:
    - apiGroups:
      - apiGroupsValue
      apiVersions:
      - apiVersionsValue
      operations:
      - operationsValue
      resourceNames:
      - resourceNamesValue
      resources:
      - resourcesValue
      scope: scopeValue
  paramRef:
    name: nameValue
    namespace: namespaceValue
    parameterNotFoundAction: parameterNotFoundActionValue
    selector:
      matchExpressions:
      - key: keyValue
        operator: operatorValue
        values:
        - valuesValue
      matchLabels:
        matchLabelsKey: matchLabelsValue
  policyName: policyNameValue
  validationActions:
  - validationActionsValue
